<script>
	import Box from "@/components/Box.svelte"
	import Form from "@/components/Order/Form.svelte"
	import Button from "@/components/button.svelte"
	import SVG from "@/components/svg.svelte"

	import { submit, data, pending, success } from "@/stores/form"
	import { t } from "@/i18n"
	import { page } from "$app/stores"

	$: car = $page.data.car
</script>

<template lang="pug">
	Box
		+if('!$success')
			.title.is-flex.is-align-items-center.is-justify-content-space-between
				p {$t("form.order", { name: car.name })}
				span.icon.is-flex: SVG( folder="brands" name='{car.brand.url}' )
			p.price ${car.price}
			Form
			.bottom
				Button( on:click='{submit}' align="left" fullwidth loading='{$pending}' )
					|{$t("buttons.order_car")}
					span.icon( slot="icon-right" ): SVG( folder="icons" name="arrow-right" )
			+else
				.thanks
					.is-flex.is-flex-direction-column.is-align-items-center.is-justify-content-flex-start
						.icon.success.is-flex.is-align-items-center: SVG( name="success" )
						p {$t("form.thanks")}
</template>

<style lang="scss">
	.title {
		p {
			font-size: 1.125rem;
			font-weight: 500;
			text-transform: uppercase;
			color: $primary;
			margin-right: .5rem;
		}
		.icon {
			min-width: 3.5rem;
			max-width: 3.5rem;
			:global(svg) {
				height: 3.5rem;
			}
			:global(svg path) {
				fill: $primary;
			}
		}
	}

	.price {
		font-size: 2rem;
		font-weight: 500;
		color: $white;
		margin: 2rem 0;
	}

	.bottom {
		margin-top: 2rem;
	}

	.thanks {
		.icon.success {
			width: 8rem;
			margin-bottom: 2rem;
			:global(svg) {
				height: 8rem;
			}
			:global(svg path) {
				fill: $green;
			}
		}
		p {
			font-size: 1.125rem;
			line-height: 1.5rem;
			font-weight: 300;
			text-align: center;
			color: $white;
			max-width: 322px;
			margin-bottom: 2rem;
		}
	}
</style>